/* -*- c++ -*-
Copyright  1993 Bengt Mrtensson and Institute for Dynamical Systems.

This file is part of Gnans.

Gnans is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free
Software Foundation; either version 2, or (at your option) any later
version.

Gnans is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Gnans; see the file COPYING.  If not, write to the 
Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. */

// $Id: Switch.h,v 1.2 1994/01/30 20:50:11 bengt Exp $

#ifndef _Switch_h
#define _Switch_h

// Data structure for user switches 
class Switch {
public:
  void *widget;			// Scratch pointer 
  bool *ptr;			// Pointer to its value 
  char *name;			// Name 

  // Function to be called whenever the switch is ``changed'' 
  // (also true -> true, etc)
  void (*fcn)();
  char *documentation;		// Documentation string (presently not used) 
};

#endif
